% f_contrast.m calculates the fringe contrast at a particular operating
% point. It is used widely in Crackle_Alignment_Gradient_Ascent.m.

function fcontrast = f_contrast(m)
global power_perror gainap gainsp N phi

 for j=1:N % Determine fringe pattern
        m.s2.phi = phi(j);  % set the space propagation phase
        % Calculate AP power, with percentage noise
        AP_power(j) = gainap*percentage_noise(power_perror,m.asy()); 
        % Calculate SP power, with percentage noise
        SP_power(j) = gainsp*percentage_noise(power_perror,m.sy());
    end
    fcontrast= (max(AP_power(:))-min(AP_power(:)))./...
        (max(AP_power(:))+min(AP_power(:))); % compute fringe contrast
end