% uniform_noise.m
% This function introduces uniform random error with range [x-error,
% x+error] in measurement, where 'x' is reading in simulation, 'error' 
% is the magnitude of maximum absolute error.

function y = uniform_noise(error, x)

La = (x-error); % lower bound
Lb = (x+error); % upper bound
y = La + (Lb-La).*rand; % random value within range, assuming uniform 
% error distribution
end